Bug 497680 - PyQt4: missing phonon bindings
PyQt4: missing phonon bindings
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PyQt4 (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 01:46 EDT by TR Bentley
Modified: 2009-05-09 00:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.4.4-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 00:06:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description TR Bentley 2009-04-26 01:46:00 EDT
Description of problem:
trying to run programme from 
http://techbase.kde.org/Development/Tutorials/Phonon/Introduction/Python

It fails with missing import 
from PyQt4.phonon import Phonon


Checking what's install there seems to be no phonon modules installed as part of PyQT4 but as part of pykde4.
from PyKDE4.phonon import Phonon   works

Why has this been moved as the PYQT4 website implies it should be in pyqt4.
I am working on an application which runs on all platforms so this could be a problem for me.


Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2009-04-26 07:31:18 EDT
This won't be resolved until PyQt-4.5 is available, as we are using *kde*'s phonon, not qt's older phonon.
Comment 2 Rex Dieter 2009-04-26 08:48:35 EDT
I think I may be able to fix this for PyQt-4-4... looking at it now.
Comment 3 Rex Dieter 2009-04-26 13:22:16 EDT
ok, recent qt+phonon fixes actually makes the phonon bindings buildable again (didn't test fuctionality).
Comment 4 Rex Dieter 2009-04-26 13:47:27 EDT
Please test this build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1321376
Comment 5 TR Bentley 2009-04-26 14:50:36 EDT
Check sample code with failed this morning.  Both worked.
Have no samples to play video but video avi and flv play sound.
A music same plays mp3 fine.
Comment 6 Fedora Update System 2009-04-27 14:26:05 EDT
PyQt4-4.4.4-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PyQt4-4.4.4-6.fc10
Comment 7 Fedora Update System 2009-04-27 14:46:22 EDT
PyQt4-4.4.4-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/PyQt4-4.4.4-6.fc9
Comment 8 Fedora Update System 2009-04-27 21:19:56 EDT
PyQt4-4.4.4-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PyQt4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4076
Comment 9 Fedora Update System 2009-05-09 00:06:12 EDT
PyQt4-4.4.4-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-09 00:08:31 EDT
PyQt4-4.4.4-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.